=== debian/changelog ===
python-xeddsa (0.4.6-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #938273

 -- Sandro Tosi <morph@debian.org>  Wed, 18 Dec 2019 17:50:43 -0500

python-xeddsa (0.4.6-1) unstable; urgency=medium

  * New upstream version

 -- W. Martin Borgert <debacle@debian.org>  Sun, 13 Jan 2019 21:21:42 +0000

python-xeddsa (0.3.6-1) unstable; urgency=medium

  * Initial package (Closes: #908030)

 -- W. Martin Borgert <debacle@debian.org>  Wed, 05 Sep 2018 20:11:22 +0000
