=== debian/control ===
Source: python-xeddsa
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: W. Martin Borgert <debacle@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 11),
	cmake,
	dh-python,
	python3-all-dev,
	python3-cffi,
	python3-nacl,
	python3-setuptools,
Standards-Version: 4.2.1
Rules-Requires-Root: no
Homepage: https://pypi.org/project/XEdDSA/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-xeddsa.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-xeddsa

Package: python3-xeddsa
Architecture: any
Depends: ${misc:Depends},
	${python3:Depends},
	${shlibs:Depends},
Description: Python 3 implementation of the XEdDSA signature scheme
 This python library offers an open implementation of the XEdDSA
 signature scheme as specified here.
 .
 This package provides the Python 3.x module.
