=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=xeddsa

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	rm -rf ref10/build/
