## python-xeddsa 0.6.0~beta

=== requirements.txt ===
cffi>=1.12.2,<2
libnacl>=1.6.1,<=2
