=== ref10/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
+project(python-xeddsa)
 
 include(CheckSymbolExists)
 
@@ -367,5 +368,3 @@
     message(FATAL_ERROR "No secure random source found. CMake will exit.")
 endif ()
 
-add_library(kernelrandombytes_objects OBJECT ${kernelrandombytes_sources})
-
