=== debian/changelog ===
python-xeddsa (0.6.0~beta-1) unstable; urgency=medium

  * New upstream version.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Add patch debian-watch-file-is-missing.patch: Attempting to compile the
    ref10 library...
    The compilation requires CMake and the "make" tool.
    The "cmake" and "make" commands are used.

 -- Martin <debacle@debian.org>  Sat, 12 Mar 2022 13:59:26 +0000
