## python-xeddsa 1.0.2

=== debian/changelog ===
python-xeddsa (1.0.2-2) unstable; urgency=medium

  * Add autopkgtest dependency pytest.

 -- Martin <debacle@debian.org>  Mon, 05 Dec 2022 07:30:48 +0000

python-xeddsa (1.0.2-1) unstable; urgency=medium

  * New upstream version.
  * Depends on libxeddsa now, instead of embedding ref10 library.
  * Add autopkgtest.

 -- Martin <debacle@debian.org>  Sun, 04 Dec 2022 09:11:45 +0000

python-xeddsa (0.6.0~beta-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 16:56:44 +0000
