=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-	cmake,
 	dh-python,
+	libsodium-dev,
+	libxeddsa-dev,
 	python3-all-dev,
 	python3-cffi,
-	python3-libnacl,
+	python3-pytest,
 	python3-setuptools,
 Standards-Version: 4.2.1
 Rules-Requires-Root: no
