=== debian/tests/control ===
Test-Command: python3 -m pytest tests
Depends: @, python3-pytest
Restrictions: allow-stderr
