## python-xeddsa 1.0.3

=== debian/changelog ===
python-xeddsa (1.0.3-1) unstable; urgency=medium

  * New upstream version. (Closes: #1075425)

 -- Martin <debacle@debian.org>  Thu, 04 Jul 2024 23:20:00 +0000
