=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
 Homepage: https://github.com/Syndace/python-xeddsa
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-xeddsa.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-xeddsa
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-xeddsa
 Architecture: any
