## python-xeddsa 1.1.0

=== requirements.txt ===
cffi>=1.14.5
