=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 	dh-python,
 	libsodium-dev,
 	libxeddsa-dev,
+	pybuild-plugin-pyproject,
 	python3-all-dev,
 	python3-cffi,
 	python3-pytest,
