=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/Syndace/python-xeddsa.git \
refs/tags/v@ANY_VERSION@ \
debian
