## python-xeddsa 1.1.1

=== debian/changelog ===
python-xeddsa (1.1.1-2) unstable; urgency=medium

  * Remove superfluous files under dist-packages

 -- Martin <debacle@debian.org>  Tue, 18 Nov 2025 00:25:53 +0000

python-xeddsa (1.1.1-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Sun, 16 Nov 2025 19:21:02 +0000
