=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
 	python3-all-dev,
 	python3-cffi,
 	python3-pytest,
+	python3-pytest-cov,
 	python3-setuptools,
 Standards-Version: 4.2.1
-Rules-Requires-Root: no
 Homepage: https://github.com/Syndace/python-xeddsa
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-xeddsa.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-xeddsa
