=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=xeddsa

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_after_dh_auto_install:
	rm -rf $(CURDIR)/debian/python3-xeddsa/usr/lib/python3.*/dist-packages/docs/
